com.sun.java.xml.ns.javaee

## Class MessageDestinationRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.MessageDestinationRefType

-     public class MessageDestinationRefType
      extends Object

  [ The message-destination-ref element contains a declaration of Deployment Component's reference to a message destination associated with a resource in Deployment Component's environment. It consists of: - an optional description - the message destination reference name - an optional message destination type - an optional specification as to whether the destination is used for consuming or producing messages, or both. if not specified, "both" is assumed. - an optional link to the message destination - optional injection targets The message destination type must be supplied unless an injection target is specified, in which case the type of the target is used. If both are specified, the type must be assignment compatible with the type of the injection target. Examples: jms/StockQueue javax.jms.Queue Consumes CorporateStocks

  Java-Klasse für message-destination-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="message-destination-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="message-destination-ref-name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="message-destination-type" type="{http://java.sun.com/xml/ns/javaee}message-destination-typeType" minOccurs="0"/>
               <element name="message-destination-usage" type="{http://java.sun.com/xml/ns/javaee}message-destination-usageType" minOccurs="0"/>
               <element name="message-destination-link" type="{http://java.sun.com/xml/ns/javaee}message-destination-linkType" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected XsdStringType` | `lookupName`
    `protected XsdStringType` | `mappedName`
    `protected MessageDestinationLinkType` | `messageDestinationLink`
    `protected JndiNameType` | `messageDestinationRefName`
    `protected MessageDestinationTypeType` | `messageDestinationType`
    `protected MessageDestinationUsageType` | `messageDestinationUsage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDestinationRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `XsdStringType` | `getLookupName()` Ruft den Wert der lookupName-Eigenschaft ab.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `MessageDestinationLinkType` | `getMessageDestinationLink()` Ruft den Wert der messageDestinationLink-Eigenschaft ab.
    `JndiNameType` | `getMessageDestinationRefName()` Ruft den Wert der messageDestinationRefName-Eigenschaft ab.
    `MessageDestinationTypeType` | `getMessageDestinationType()` Ruft den Wert der messageDestinationType-Eigenschaft ab.
    `MessageDestinationUsageType` | `getMessageDestinationUsage()` Ruft den Wert der messageDestinationUsage-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLookupName(XsdStringType value)` Legt den Wert der lookupName-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.
    `void` | `setMessageDestinationLink(MessageDestinationLinkType value)` Legt den Wert der messageDestinationLink-Eigenschaft fest.
    `void` | `setMessageDestinationRefName(JndiNameType value)` Legt den Wert der messageDestinationRefName-Eigenschaft fest.
    `void` | `setMessageDestinationType(MessageDestinationTypeType value)` Legt den Wert der messageDestinationType-Eigenschaft fest.
    `void` | `setMessageDestinationUsage(MessageDestinationUsageType value)` Legt den Wert der messageDestinationUsage-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### messageDestinationRefName

          protected JndiNameType messageDestinationRefName

    - #### messageDestinationType

          protected MessageDestinationTypeType messageDestinationType

    - #### messageDestinationUsage

          protected MessageDestinationUsageType messageDestinationUsage

    - #### messageDestinationLink

          protected MessageDestinationLinkType messageDestinationLink

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### lookupName

          protected XsdStringType lookupName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### MessageDestinationRefType

          public MessageDestinationRefType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getMessageDestinationRefName

          public JndiNameType getMessageDestinationRefName()

      Ruft den Wert der messageDestinationRefName-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setMessageDestinationRefName

          public void setMessageDestinationRefName(JndiNameType value)

      Legt den Wert der messageDestinationRefName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getMessageDestinationType

          public MessageDestinationTypeType getMessageDestinationType()

      Ruft den Wert der messageDestinationType-Eigenschaft ab.
      Returns:
        possible object is `MessageDestinationTypeType`

    - #### setMessageDestinationType

          public void setMessageDestinationType(MessageDestinationTypeType value)

      Legt den Wert der messageDestinationType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `MessageDestinationTypeType`

    - #### getMessageDestinationUsage

          public MessageDestinationUsageType getMessageDestinationUsage()

      Ruft den Wert der messageDestinationUsage-Eigenschaft ab.
      Returns:
        possible object is `MessageDestinationUsageType`

    - #### setMessageDestinationUsage

          public void setMessageDestinationUsage(MessageDestinationUsageType value)

      Legt den Wert der messageDestinationUsage-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `MessageDestinationUsageType`

    - #### getMessageDestinationLink

          public MessageDestinationLinkType getMessageDestinationLink()

      Ruft den Wert der messageDestinationLink-Eigenschaft ab.
      Returns:
        possible object is `MessageDestinationLinkType`

    - #### setMessageDestinationLink

          public void setMessageDestinationLink(MessageDestinationLinkType value)

      Legt den Wert der messageDestinationLink-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `MessageDestinationLinkType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getLookupName

          public XsdStringType getLookupName()

      Ruft den Wert der lookupName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setLookupName

          public void setLookupName(XsdStringType value)

      Legt den Wert der lookupName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.